#ifndef PRODUCTION_INTENTION_H
#define PRODUCTION_INTENTION_H

#ifndef INTENTION_FRAME_H
#include "Intention_frame.h"
#endif

namespace MM
{

class Production_intention : public Intention_frame
{
public:        
    explicit            Production_intention (Protocol_stage & stage)
        : Intention_frame ("Production", stage) {;}

    bool    check()
    {
        Duration_unit unit;     unit.from_text (stage_.option ("Length"));
        if (unit.steps() == 0)
        {
            set_message ("No steps in simulation.");
            return false;
        }

        set_message ("");
        return true;
    }

    void    apply ()        {;}
    bool    was_reached ()  {return true;}
};

}//MM

#endif //PRODUCTION_INTENTION_H
